Subject: Re: [bug#74582] [PATCH python-team 1/4] build/pyproject: Really merge directories in install phase.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 15 Dec 2024 00:12:58 +0900

Hi,

Lars-Dominik Braun <[email-masked]> writes:

> Hi,
>
>> +                  ;; Use 'copy-recursively' rather than 'rename-file' to guard
>> +                  ;; against the odd case where DESTINATION is a non-empty
>> +                  ;; directory, which may happen when using hybrid Python
>> +                  ;; build systems.
>> +                  (copy-recursively (string-append source "/" file)
>> +                                    (string-append destination "/" file))
>> +                  (delete-file-recursively (string-append source "/" file))
>
> wouldn’t it be easier to remove this function entirely and move the
> shebang-replacement via POST-MOVE into a separate function (perhaps
> powered by FIND-FILES instead of SCANDIR)?

Yes, that could be nicer.  I'd like to keep it for a distinct commti
though, to keep this small and focus.

> I believe with this patch we can also remove &cannot-extract-multiple-wheels
> further down, since directories should be merged now, right?

Perhaps, though we'd want to verify that it indeed now works, and not
having seen that error once, I'm not too sure how to test it.  Do you
know of a package that could make use of this?

-- 
Thanks,
Maxim